=== debian/changelog ===
crosstool-ng (1.22.0git) unstable; urgency=low

  * Initial Debianized Release.

 -- Andrew 'Necromant' Andrianov <andrew@ncrmnt.org>  Mon, 07 Dec 2015 20:53:53 +0300
