=== debian/control ===
Source: crosstool-ng
Section: unknown
Priority: optional
Maintainer: Andrew 'Necromant' Andrianov <andrew@ncrmnt.org>
Build-Depends: debhelper (>= 9), autotools-dev, libncursesw5-dev, libncurses5-dev, autoconf, git, gperf, bison, flex, texinfo, help2man, gawk, subversion, git, gzip, bzip2, tar, libtool-bin, automake
Standards-Version: 3.9.5
Homepage: http://crosstool-ng.org/

Package: crosstool-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, build-essential, texi2html, texinfo
Description: crosstool-ng
 The ultimate tool to create your own cross toolchains
