=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	MAKELEVEL=0 dh $@  --with autotools-dev

# Make sure we call ./bootstrap before running dh_auto_configure
override_dh_auto_configure:
	./bootstrap && dh_auto_configure

#Make sure to include bash completion file in the package
override_dh_auto_install:
	MAKELEVEL=0 dh_auto_install
	install -D ct-ng.comp $$(pwd)/debian/crosstool-ng/etc/bash_completion.d/ct-ng.comp
